Subject: Re: [PATCH] bug#19391: 25.0.50; eshell-buffer-shorthand breaks command dollar expansion

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 Mar 2015 19:28:31 +0200

> Date: Tue, 03 Mar 2015 23:50:34 -0800
> From: Samer Masterson <[email-masked]>
> Cc: [email-masked]
> 
> On Tue, Mar 3, 2015 at 7:56 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>     Can you explain why we should lose this user option? I understand that it
>     causes trouble in this scenario, but can we solve the bug without losing
>     the option? If not, why having the limitation documented in the doc string
>     is not good enough? Thanks.
> 
> I think the strongest reason for losing the option is that it currently doesn't
> work: If you type "echo hello > '*scratch" into eshell and press enter, eshell
> adds a newline without evaluating the command because it thinks it's in a
> string because of the unmatched single quote. Its implementation also makes
> eshell more complex, because eshell-get-target *only* checks for symbols if the
> option is selected, and then gets-or-creates a buffer with the symbol name.
> 
> I think having a shorthand for buffers in eshell is a good thing, but it should
> be different in three ways:

If you are saying that redesigning eshell-buffer-shorthand would
resolve this bug without losing the option, then I agree it's a better
way.  I don't know about Eshell enough to judge whether your
suggestion won't run into problems, though, so I indeed think it's
best to post it to emacs-devel.

Thanks.